/*
 * 
 *	COLLECTIBLES DATABASE
 *
 */
 
/* New table creation */
CREATE TABLE "HubInfo" (	"ID" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , 
							"Storyline" INTEGER DEFAULT -1, 
							"IAP_item_id" TEXT DEFAULT '', 
							"Bought" BOOL DEFAULT 1, 
							
							"TitleTexture" TEXT DEFAULT '',
							"MainTexture" TEXT DEFAULT '', 
							"FrameTexture" TEXT DEFAULT '', 
							
							"TextColor" TEXT DEFAULT '',
							
							"TextLine1" TEXT DEFAULT '', 
							"TextLine2" TEXT DEFAULT '', 
							
							"StarCharacter" TEXT DEFAULT '', 
							"ItemCharacter" TEXT DEFAULT '', 
							
							"StarSQL1" TEXT DEFAULT '',
							"StarSQL2" TEXT DEFAULT '',
							
							"ItemSQL1" TEXT DEFAULT '',
							"ItemSQL2" TEXT DEFAULT '',
							
							"TextButton" TEXT DEFAULT '',
							
							"AlertText" TEXT DEFAULT ''	);


/* Actual table content */
/* Perry */
INSERT OR IGNORE INTO HubInfo (	ID, Storyline, MainTexture, FrameTexture, TextColor,
								TextLine1, TextLine2, StarCharacter, ItemCharacter, TextButton,
								ItemSQL1, ItemSQL2 ) VALUES
							  (	10, 0, 'ui_Perry.png', 'ui_story_frame.png', '37 108 138',
								'', 'HUB_TEXT_PERRY_BODY', '☆', '⚀', 'PLAY',
								'SELECT count(ID) FROM CollectibleInfo WHERE Unlocked=1', 'SELECT count(ID) FROM CollectibleInfo' );

/* Gift This App */
INSERT OR IGNORE INTO HubInfo (	ID, Storyline, MainTexture, FrameTexture, TextColor,
								TextLine1, TextLine2, TextButton) VALUES
							  (	90, -1, 'ui_gift_app.png', 'ui_story_frame.png', '37 108 138',
								'', 'HUB_TEXT_GIFT_TITLE', 'GIFT' );





/*
 * 
 *	COLLECTIBLES DATABASE
 *
 */

/* Create the actual table */
CREATE TABLE "CollectibleInfo" ("ID" INTEGER PRIMARY KEY  NOT NULL ,
								"Unlocked" BOOL NOT NULL  DEFAULT (0) ,
								"HasViewed" BOOL NOT NULL  DEFAULT (0) ,
								"Type" INTEGER NOT NULL  DEFAULT (0) ,
								
								"LevelFile" TEXT NOT NULL  DEFAULT ('') ,
								
								"IconTexture" TEXT NOT NULL ,
								"FullTexture" TEXT NOT NULL ,
								
								"HeaderText" TEXT NOT NULL ,
								"BodyText" TEXT NOT NULL );



/* Agents - Chapter 1 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_b.png", "agent_bear.png", "AGENT_BEAR_HEADER", "AGENT_BEAR_BODY", "BEAR");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_c.png", "agent_c.png", "AGENT_CHICKEN_HEADER", "AGENT_CHICKEN_BODY", "CHICKEN");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, LevelFile) VALUES
										("agent_badge_crocodile.png", "agent_crocodile.png", "AGENT_CROCODILE_HEADER", "CROCDILE", "AGENT_CROCODILE_BODY", "/Perry/Levels/bonus1");
										
/* Doofs - Chapter 1 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_baby-inator.png", "doof_baby-inator.png", "DOOF_BABY_HEADER", "DOOF_BABY_BODY", "BABINATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_chicken-inator.png", "doof_chicken-inator.png", "DOOF_CHICKEN_HEADER", "DOOF_CHICKEN_BODY", "CHICKEN-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type, LevelFile) VALUES
										("doof_badge_combininator.png", "doof_combininator.png", "DOOF_COMBININATOR_HEADER", "DOOF_COMBININATOR_BODY", "COMB-INATOR", 1, "/Perry/Levels/bonus1");
										
										
/* Agents - Chapter 2 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_d.png", "agent_d.png", "AGENT_DOG_HEADER", "AGENT_DOG_BODY", "DOG");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_e.png", "agent_e.png", "AGENT_EAGLE_HEADER", "AGENT_EAGLE_BODY", "EAGLE");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, LevelFile) VALUES
										("agent_badge_f.png", "agent_f.png", "AGENT_FROG_HEADER", "AGENT_FROG_BODY", "FROG", "/Perry/Levels/bonus1");
										
/* Doofs - Chapter 2 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_defaceinator.png", "doof_defaceinator.png", "DOOF_DEFACEINATOR_HEADER", "DOOF_DEFACEINATOR_BODY", "DEFACE-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_destructinator.png", "doof_destructinator.png", "DOOF_DESTRUCTINATOR_HEADER", "DOOF_DESTRUCTINATOR_BODY", "DESTRUCT-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type, LevelFile) VALUES
										("doof_badge_disintigratinator.png", "doof_disintigratinator.png", "DOOF_DISINTIGRATINATOR_HEADER", "DOOF_DISINTIGRATINATOR_BODY", "DISINTIGRAT-INATOR", 1, "/Perry/Levels/bonus1");
										
										
/* Agents - Chapter 3 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_gary_gander.png", "agent_gary_gander.png", "AGENT_GARY_GANDER_HEADER", "AGENT_GARY_GANDER_BODY", "GARY_GANDER");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_herman_hedgehog.png", "agent_herman_hedgehog.png", "AGENT_HERMAN_HEDGEHOG_HEADER", "AGENT_HERMAN_HEDGEHOG_BODY", "HEDGEHOG");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, LevelFile) VALUES
										("agent_badge_k.png", "agent_k.png", "AGENT_KANGAROO_HEADER", "AGENT_KANGAROO_BODY", "KANGAROO", "/Perry/Levels/bonus1");
										
/* Doofs - Chapter 3 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_doubleinator.png", "doof_doubleinator.png", "DOOF_DOUBLEINATOR_HEADER", "DOOF_DOUBLEINATOR_BODY", "DOUBL-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_dullandboringinator.png", "doof_dullandboringinator.png", "DOOF_DULLBORINGINATOR_HEADER", "DOOF_DULLBORINGINATOR_BODY", "DULLANDBORING-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type, LevelFile) VALUES
										("doof_badge_forgetaboutitinator.png", "doof_forgetaboutitinator.png", "DOOF_FORGETABOUTITINATOR_HEADER", "DOOF_FORGETABOUTITINATOR_BODY", "FORGETABOUT-INATOR", 1, "/Perry/Levels/bonus1");
										
										
/* Agents - Chapter 4 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_kitty.png", "agent_kitty.png", "AGENT_KITTY_HEADER", "AGENT_KITTY_BODY", "KITTY");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName) VALUES
										("agent_badge_o.png", "agent_o.png", "AGENT_OWL_HEADER", "AGENT_OWL_BODY", "OWL");
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, LevelFile) VALUES
										("agent_badge_peter_panda.png", "agent_peter_panda.png", "AGENT_PETER_PANDA_HEADER", "AGENT_PETER_PANDA_BODY", "PANDA", "/Perry/Levels/bonus1");
										
/* Doofs - Chapter 4 */
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_gimmelstumpinator.png", "doof_gimmelstumpinator.png", "DOOF_GIMMELSTUMPINATOR_HEADER", "DOOF_GIMMELSTUMPINATOR_BODY", "GIMMELSTUMP-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type) VALUES
										("doof_badge_goawayinator.png", "doof_goawayinator.png", "DOOF_GOAWAYINATOR_HEADER", "DOOF_GOAWAYINATOR_BODY", "GOAWAY-INATOR", 1);
INSERT OR IGNORE INTO "CollectibleInfo"	(IconTexture, FullTexture, HeaderText, BodyText, BaseName, Type, LevelFile) VALUES
										("doof_badge_gohominator.png", "doof_gohominator.png", "DOOF_GOHOMINATOR_HEADER", "DOOF_GOHOMINATOR_BODY", "GOHOME-INATOR", 1, "/Perry/Levels/bonus1");

/*
 * 
 *	LevelPackInfo DATABASE
 *
 */

alter table LevelPackInfo add FB_AlbumName text;
alter table LevelPackInfo add LS_Unlocked integer default(0);


/* Bonus Chapter (for scoring, not visible) */
INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack, Hidden,
										FB_AlbumName ) VALUES
									  ( -1, 1000, 'LP_BONUS', 1, -1, 1, 1
										'Perry Bonus Levels' );

/* Chapters 1-4 */
INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,  
										TitleText, SubtitleText, MainTexture, FrameTexture, 
										FB_AlbumName ) VALUES
									  ( 10, 1000, 'LP_ONE', 1, -1, 1, 
										'LP_ONE_TITLE', 'LP_ONE_SUBTITLE', 'ui_world_1.png', 'ui_world_frame.png',
										"Mission 1 - An Agent I Can Trust" );

INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,
										TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, LockedText, 
										FB_AlbumName ) VALUES
									  ( 11, 1000, 'LP_TWO', 0, 20, 1,
										'LP_TWO_TITLE', 'LP_TWO_SUBTITLE', 'ui_world_2.png', 'ui_world_frame.png', 'ui_locked_world_1.jpg', 'LOCKED',
										"Mission 2 - A Thousand Times Over" );

INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,
										TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, LockedText, 
										FB_AlbumName ) VALUES
									  ( 12, 1000, 'LP_THREE', 0, 40, 1,
										'LP_THREE_TITLE', 'LP_THREE_SUBTITLE', 'ui_world_3.png', 'ui_world_frame.png', 'ui_locked_world_2.jpg', 'LOCKED',
										"Mission 3 - The Puppetmaster" );

INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,
										TitleText, SubtitleText, MainTexture, FrameTexture, LockedTexture, LockedText, 
										FB_AlbumName ) VALUES
									  ( 13, 1000, 'LP_FOUR', 0, 60, 1,
										'LP_FOUR_TITLE', 'LP_FOUR_SUBTITLE', 'ui_world_4.png', 'ui_world_frame.png', 'ui_locked_world_3.jpg', 'LOCKED',
										"Mission 4 - The Fall of Major Monogram" );
										
							
/* "More Coming Soon" tile */
INSERT OR IGNORE INTO "LevelPackInfo" (	ID, Storyline, PackName, Unlocked, StarsRequired, IsLevelPack,
										TitleText, SubtitleText, MainTexture, FrameTexture, 
										FB_AlbumName ) VALUES
									  ( 30, 1000, 'MORE_COMING_SOON', 1, -1, 0,
										'', 'MORE_COMING_SOON', 'ui_coming_soon.png', 'ui_world_frame.png',
										'' );


/*
 * 
 *	ACHIEVEMENTS DATABASE
 *
 */

ALTER TABLE Achievements ADD COLUMN 'FacebookDescription' TEXT NOT NULL DEFAULT '';

INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_LP_ONE",		"ACH_LP_ONE_HOWTO",		"ACH_LP_ONE_DESC",  "ACH_LP_ONE_FB",    "ACH_mission1.png",		10);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_LP_TWO",		"ACH_LP_TWO_HOWTO",		"ACH_LP_TWO_DESC",  "ACH_LP_TWO_FB", "ACH_mission2.png",		10);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_LP_THREE",	"ACH_LP_THREE_HOWTO",	"ACH_LP_THREE_DESC",    "ACH_LP_THREE_FB",   "ACH_mission3.png",		10);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_LP_FOUR",		"ACH_LP_FOUR_HOWTO",	"ACH_LP_FOUR_DESC", "ACH_LP_FOUR_FB",    "ACH_mission4.png",		10);
							
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_TRIGNOME_LP_ONE",		"ACH_TRIGNOME_LP_ONE_HOWTO",		"ACH_TRIGNOME_LP_ONE_DESC", "ACH_TRIGNOME_LP_ONE_FB", "ACH_tri_mission1.png",	25);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_TRIGNOME_LP_TWO",		"ACH_TRIGNOME_LP_TWO_HOWTO",		"ACH_TRIGNOME_LP_TWO_DESC", "ACH_TRIGNOME_LP_TWO_FB",    "ACH_tri_mission2.png",	25);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_TRIGNOME_LP_THREE",	"ACH_TRIGNOME_LP_THREE_HOWTO",		"ACH_TRIGNOME_LP_THREE_DESC",   "ACH_TRIGNOME_LP_THREE_FB",  "ACH_tri_mission3.png",	25);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_TRIGNOME_LP_FOUR",	"ACH_TRIGNOME_LP_FOUR_HOWTO",		"ACH_TRIGNOME_LP_FOUR_DESC",    "ACH_TRIGNOME_LP_FOUR_FB", "ACH_tri_mission4.png",	25);
							
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_FIRST_FILE",		"ACH_FIRST_FILE_HOWTO",		"ACH_FIRST_FILE_DESC",  "ACH_FIRST_FILE_FB",  "ACH_secret_agent.png",			5);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_TEN_FILES",		"ACH_TEN_FILES_HOWTO",		"ACH_TEN_FILES_DESC",   "ACH_TEN_FILES_FB",  "ACH_top_secret_agent.png",		10);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_ALL_FILES",		"ACH_ALL_FILES_HOWTO",		"ACH_ALL_FILES_DESC",   "ACH_ALL_FILES_FB",  "ACH_super_secret_agent.png",	25);
							
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_ONE_BONUS",		"ACH_ONE_BONUS_HOWTO",		"ACH_ONE_BONUS_DESC",   "ACH_ONE_BONUS_FB",  "ACH_friend_balloony.png",		5);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_ALL_BONUSES",		"ACH_ALL_BONUSES_HOWTO",	"ACH_ALL_BONUSES_DESC", "ACH_ALL_BONUSES_FB",    "ACH_bbb.png",					5);
							
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_EFFICIENT_CUT",	"ACH_EFFICIENT_CUT_HOWTO",	"ACH_EFFICIENT_CUT_DESC",   "ACH_EFFICIENT_CUT_FB",  "ACH_efficient_cut.png",		5);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points, LevelFile) VALUES
							("ACH_CONFIDENCE",		"ACH_CONFIDENCE_HOWTO",		"ACH_CONFIDENCE_DESC",  "ACH_CONFIDENCE_FB", "ACH_confidence.png",			5, '/Perry/Levels/10_warning_lasers_convert_water');
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points) VALUES
							("ACH_PERSISTENCE",		"ACH_PERSISTENCE_HOWTO",	"ACH_PERSISTENCE_DESC", "ACH_PERSISTENCE_FB", "ACH_persistence.png",			5);
INSERT INTO "Achievements"	(ID, PreEarnedDescription, EarnedDescription, FacebookDescription, Image, Points, 'LevelFile') VALUES
							("ACH_QUICK_FINISH",	"ACH_QUICK_FINISH_HOWTO",	"ACH_QUICK_FINISH_DESC",    "ACH_QUICK_FINISH_FB",   "ACH_quick_finish.png",			5, '/Perry/Levels/19_party_time');
							
							
/*
 * 
 *	IAP DATABASE
 *
 */							
insert or ignore into IAPInfo (Internal, iOS) values ("locksmith_one", "disney.wmp.locksmith_one");

insert or ignore into IAPInfo (Internal, iOS) values ("locksmith_perry", "disney.wmp.locksmith_perry");							
							
							
							
							
/*
 * 
 *	SETTINGS DATABASE
 *
 */
 
/* Create the actual database */
CREATE TABLE "Settings" ("ID" INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL  UNIQUE , 
						 "Name" TEXT NOT NULL , 
						 "Value" INTEGER NOT NULL  DEFAULT 0)	
							
/* Fill the database! */
INSERT INTO "Settings" VALUES (0, "DatabaseVersion","0");

INSERT INTO "Settings" VALUES (10, "AudioOn","1");
INSERT INTO "Settings" VALUES (11, "MusicOn","1");
INSERT INTO "Settings" VALUES (12, "VoiceOn","1");
INSERT INTO "Settings" VALUES (13, "SubtitlesOn","1");

INSERT INTO "Settings" VALUES (20, "Graphics","-1");
INSERT INTO "Settings" VALUES (21, "TargetFramerate","-1");

INSERT INTO "Settings" VALUES (30, "PreferredLanguage","-1");

INSERT INTO "Settings" (Name, Value) VALUES ("AllowFacebookPublishing", "-1");
							
/*
 *	Levels
 */							
/* PACK 1 */
UPDATE LevelInfo SET Filename='/Perry/Levels/01_power_to_the_tube', Name='LN_POWER_TO_THE_TUBE', ParTime=25 WHERE ID=0;
UPDATE LevelInfo SET Filename='/Perry/Levels/02_around_the_rock', Name='LN_AROUND_THE_ROCK', ParTime=30 WHERE ID=1;
UPDATE LevelInfo SET Filename='/Perry/Levels/03_unification_day', Name='LN_UNIFICATION_DAY', ParTime=40 WHERE ID=2;
UPDATE LevelInfo SET Filename='/Perry/Levels/04_out_to_launch', Name='LN_OUT_TO_LAUNCH', ParTime=25 WHERE ID=3;
UPDATE LevelInfo SET Filename='/Perry/Levels/05_fruity_rainbow_flakes', Name='LN_FRUITY_RAINBOW_FLAKES', ParTime=40 WHERE ID=4;
UPDATE LevelInfo SET Filename='/Perry/Levels/06_behold_the_celebrateinator', Name='LN_BEHOLD_THE_CELEBRATEINATOR', ParTime=35 WHERE ID=5;
UPDATE LevelInfo SET Filename='/Perry/Levels/07_over_the_top', Name='LN_OVER_THE_TOP', ParTime=30 WHERE ID=6;
UPDATE LevelInfo SET Filename='/Perry/Levels/08_behold_the_heatinator', Name='LN_FIRST_LASER', ParTime=30 WHERE ID=7;
UPDATE LevelInfo SET Filename='/Perry/Levels/09_steam_stream', Name='LN_STEAM_STREAM', ParTime=50 WHERE ID=8;
UPDATE LevelInfo SET Filename='/Perry/Levels/10_warning_lasers_convert_water', Name='LN_WARNING_LASERS_CONVERT_WATER', ParTime=45 WHERE ID=9;
UPDATE LevelInfo SET Filename='/Perry/Levels/11_mysterious_force', Name='LN_MYSTERIOUS_FORCE', ParTime=35 WHERE ID=10;
UPDATE LevelInfo SET Filename='/Perry/Levels/12_lawn_gnome_beach_party_of_terror', Name='LN_LAWN_GNOME_BEACH_PARTY_OF_TERROR', ParTime=40 WHERE ID=11;
UPDATE LevelInfo SET Filename='/Perry/Levels/13_swimming_up_steam', Name='LN_SWIMMING_UP_STEAM', ParTime=35 WHERE ID=12;
UPDATE LevelInfo SET Filename='/Perry/Levels/14_steamed_up', Name='LN_STEAMED_UP', ParTime=25 WHERE ID=13;
UPDATE LevelInfo SET Filename='/Perry/Levels/15_pool_party', Name='LN_POOL_PARTY', ParTime=35 WHERE ID=14;
UPDATE LevelInfo SET Filename='/Perry/Levels/16_tripwire', Name='LN_TRIPWIRE', ParTime=30 WHERE ID=15;
UPDATE LevelInfo SET Filename='/Perry/Levels/17_rainy_day', Name='LN_RAINY_DAY', ParTime=55 WHERE ID=16;
UPDATE LevelInfo SET Filename='/Perry/Levels/18_sideswipe', Name='LN_SIDEWAYS', ParTime=45 WHERE ID=17;
UPDATE LevelInfo SET Filename='/Perry/Levels/19_block_party', Name='LN_BLOCK_PARTY', ParTime=45 WHERE ID=18;
UPDATE LevelInfo SET Filename='/Perry/Levels/20_trip_the_lights_fantastic', Name='LN_TRIP_THE_LIGHTS_FANTASTIC', ParTime=45 WHERE ID=19;

/* PACK 2 */
UPDATE LevelInfo SET Filename='/Perry/Levels/01_rainmaker', Name='LN_RAINMAKER', ParTime=35 WHERE ID=20;
UPDATE LevelInfo SET Filename='/Perry/Levels/02_cold_fusion', Name='LN_COLD_FUSION', ParTime=30 WHERE ID=21;
UPDATE LevelInfo SET Filename='/Perry/Levels/03_the_great_switcheroo', Name='LN_THE_GREAT_SWITCHEROO', ParTime=45 WHERE ID=22;
UPDATE LevelInfo SET Filename='/Perry/Levels/04_frozen_waterfall', Name='LN_FROZEN_WATERFALL', ParTime=25 WHERE ID=23;
UPDATE LevelInfo SET Filename='/Perry/Levels/05_warning_dont_chill_out', Name='LN_WARNING_DONT_CHILL_OUT', ParTime=30 WHERE ID=24;
UPDATE LevelInfo SET Filename='/Perry/Levels/06_chill_out', Name='LN_CHILL_OUT', ParTime=40 WHERE ID=25;
UPDATE LevelInfo SET Filename='/Perry/Levels/07_tortoise_versus_hare', Name='LN_TORTOISE_VS_HARE', ParTime=25 WHERE ID=26;
UPDATE LevelInfo SET Filename='/Perry/Levels/08_sludge_stopper', Name='LN_SLUDGE_STOPPER', ParTime=35 WHERE ID=27;
UPDATE LevelInfo SET Filename='/Perry/Levels/09_swinter', Name='LN_SWINTER', ParTime=50 WHERE ID=28;
UPDATE LevelInfo SET Filename='/Perry/Levels/10_jump_the_sludge', Name='LN_JUMP_THE_SLUDGE', ParTime=30 WHERE ID=29;
UPDATE LevelInfo SET Filename='/Perry/Levels/11_explosion_maze', Name='LN_EXPLOSION_MAZE', ParTime=40 WHERE ID=30;
UPDATE LevelInfo SET Filename='/Perry/Levels/12_self_destruct_mechanism', Name='LN_SELFDESTRUCT_MECHANISM', ParTime=40 WHERE ID=31;
UPDATE LevelInfo SET Filename='/Perry/Levels/13_reverse_icicle', Name='LN_REVERSE_ICICLE', ParTime=45 WHERE ID=32;
UPDATE LevelInfo SET Filename='/Perry/Levels/14_dont_do_it', Name='LN_DONT_DO_IT', ParTime=45 WHERE ID=33;
UPDATE LevelInfo SET Filename='/Perry/Levels/15_trignomial_cubed', Name='LN_TRIGNOMIAL_CUBED', ParTime=60 WHERE ID=34;
UPDATE LevelInfo SET Filename='/Perry/Levels/16_floor_after_floor', Name='LN_FLOOR_AFTER_FLOOR', ParTime=40 WHERE ID=35;
UPDATE LevelInfo SET Filename='/Perry/Levels/17_over_the_frozen_waterfall', Name='LN_OVER_THE_FROZEN_WATERFALL', ParTime=45 WHERE ID=36;
UPDATE LevelInfo SET Filename='/Perry/Levels/18_open_sesame', Name='LN_OPEN_SESAME', ParTime=45 WHERE ID=37;
UPDATE LevelInfo SET Filename='/Perry/Levels/19_serpentine', Name='LN_SERPENTINE', ParTime=60 WHERE ID=38;
UPDATE LevelInfo SET Filename='/Perry/Levels/20_try_try_again', Name='LN_TRY_TRY_AGAIN', ParTime=40 WHERE ID=39;

/* PACK 3 */
UPDATE LevelInfo SET Filename='/Perry/Levels/01_boiler_maker', Name='LN_BOILER_MAKER', ParTime=30 WHERE ID=40;
UPDATE LevelInfo SET Filename='/Perry/Levels/02_liquidation', Name='LN_LIQUIDATION', ParTime=35 WHERE ID=41;
UPDATE LevelInfo SET Filename='/Perry/Levels/03_smokestack', Name='LN_SMOKESTACK', ParTime=35 WHERE ID=42;
UPDATE LevelInfo SET Filename='/Perry/Levels/04_ice_bridge', Name='LN_ICE_BRIDGE_EASY', ParTime=45 WHERE ID=43;
UPDATE LevelInfo SET Filename='/Perry/Levels/05_ice_maker', Name='LN_ICE_MAKER', ParTime=35 WHERE ID=44;
UPDATE LevelInfo SET Filename='/Perry/Levels/06_rise_and_fall', Name='LN_RISE_AND_FALL', ParTime=40 WHERE ID=45;
UPDATE LevelInfo SET Filename='/Perry/Levels/07_big_red_button', Name='LN_BIG_RED_BUTTON', ParTime=45 WHERE ID=46;
UPDATE LevelInfo SET Filename='/Perry/Levels/08_double_tap', Name='LN_DOUBLE_TAP', ParTime=45 WHERE ID=47;
UPDATE LevelInfo SET Filename='/Perry/Levels/09_note_the_manually_operated_spout', Name='LN_NOTE_THE_MANUALLY_OPERATED_SPOUT', ParTime=45 WHERE ID=48;
UPDATE LevelInfo SET Filename='/Perry/Levels/10_connect_the_ice', Name='LN_CONNECT_THE_ICE', ParTime=35 WHERE ID=49;
UPDATE LevelInfo SET Filename='/Perry/Levels/11_ice_skating', Name='LN_ICE_SKATING', ParTime=35 WHERE ID=50;
UPDATE LevelInfo SET Filename='/Perry/Levels/12_block_of_ice', Name='LN_BLOCK_OF_ICE', ParTime=40 WHERE ID=51;
UPDATE LevelInfo SET Filename='/Perry/Levels/13_fill_the_cracks', Name='LN_FILL_THE_CRACKS', ParTime=35 WHERE ID=52;
UPDATE LevelInfo SET Filename='/Perry/Levels/14_opposites_explode', Name='LN_OPPOSITES_EXPLODE', ParTime=35 WHERE ID=53;
UPDATE LevelInfo SET Filename='/Perry/Levels/15_the_many_many_uses_of_sludge', Name='LN_THE_MANY_MANY_USES_OF_SLUDGE', ParTime=55 WHERE ID=54;
UPDATE LevelInfo SET Filename='/Perry/Levels/16_down_up_down', Name='LN_DOWN_UP_DOWN', ParTime=35 WHERE ID=55;
UPDATE LevelInfo SET Filename='/Perry/Levels/17_under_the_frozen_waterfall', Name='LN_UNDER_THE_FROZEN_WATERFALL', ParTime=40 WHERE ID=56;
UPDATE LevelInfo SET Filename='/Perry/Levels/18_over_the_wall', Name='LN_OVER_THE_WALL', ParTime=50 WHERE ID=57;
UPDATE LevelInfo SET Filename='/Perry/Levels/19_two_shot_wonder', Name='LN_TWO_SHOT_WONDER', ParTime=75 WHERE ID=58;
UPDATE LevelInfo SET Filename='/Perry/Levels/20_kaboom', Name='LN_KABOOM', ParTime=75 WHERE ID=59;

/* PACK 4 */
UPDATE LevelInfo SET Filename='/Perry/Levels/01_through_the_laser', Name='LN_THROUGH_THE_LASER', ParTime=60 WHERE ID=60;
UPDATE LevelInfo SET Filename='/Perry/Levels/02_meltdown', Name='LN_MELTDOWN', ParTime=25 WHERE ID=61;
UPDATE LevelInfo SET Filename='/Perry/Levels/03_around_and_over', Name='LN_AROUND_AND_OVER', ParTime=35 WHERE ID=62;
UPDATE LevelInfo SET Filename='/Perry/Levels/04_rabbit_versus_turtle', Name='LN_RABBIT_VS_TURTLE', ParTime=35 WHERE ID=63;
UPDATE LevelInfo SET Filename='/Perry/Levels/05_arent_you_a_little_young_to_be_moving_lasers', Name='LN_ARENT_YOU_A_LITTLE_YOUNG_TO_BE_MOVING_LASERS', ParTime=30 WHERE ID=64;
UPDATE LevelInfo SET Filename='/Perry/Levels/06_beam_blocker', Name='LN_BEAM_BLOCKER', ParTime=45 WHERE ID=65;
UPDATE LevelInfo SET Filename='/Perry/Levels/07_splitsville', Name='LN_SPLITSVILLE', ParTime=50 WHERE ID=66;
UPDATE LevelInfo SET Filename='/Perry/Levels/08_some_assembly_required', Name='LN_SOME_ASSEMBLY_REQUIRED', ParTime=65 WHERE ID=67;
UPDATE LevelInfo SET Filename='/Perry/Levels/09_breaking_out', Name='LN_BREAKING_OUT', ParTime=65 WHERE ID=68;
UPDATE LevelInfo SET Filename='/Perry/Levels/10_yin_and_yang', Name='LN_YIN_AND_YANG', ParTime=50 WHERE ID=69;
UPDATE LevelInfo SET Filename='/Perry/Levels/11_the_amazing_flying_sludge', Name='LN_THE_AMAZING_FLYING_SLUDGE', ParTime=55 WHERE ID=70;
UPDATE LevelInfo SET Filename='/Perry/Levels/12_dig_deep', Name='LN_DIG_DEEP', ParTime=60 WHERE ID=71;
UPDATE LevelInfo SET Filename='/Perry/Levels/13_cloud_collision', Name='LN_CLOUD_COLLISION', ParTime=45 WHERE ID=72;
UPDATE LevelInfo SET Filename='/Perry/Levels/14_wall_of_ice', Name='LN_WALL_OF_ICE', ParTime=45 WHERE ID=73;
UPDATE LevelInfo SET Filename='/Perry/Levels/15_anti_gravity_fun_launcher', Name='LN_ANTIGRAVITY_FUN_LAUNCHER', ParTime=50 WHERE ID=74;
UPDATE LevelInfo SET Filename='/Perry/Levels/16_free_the_stream', Name='LN_FREEDOM_REIGNS', ParTime=45 WHERE ID=75;
UPDATE LevelInfo SET Filename='/Perry/Levels/17_icebreaker', Name='LN_ICEBREAKER', ParTime=35 WHERE ID=76;
UPDATE LevelInfo SET Filename='/Perry/Levels/18_visit_scenic_explosion_falls', Name='LN_VISIT_SCENIC_EXPLOSION_FALLS', ParTime=50 WHERE ID=77;
UPDATE LevelInfo SET Filename='/Perry/Levels/19_party_time', Name='LN_PARTY_TIME', ParTime=75 WHERE ID=78;
UPDATE LevelInfo SET Filename='/Perry/Levels/20_leap_of_faith', Name='LN_LEAP_OF_FAITH', ParTime=35 WHERE ID=79;

/* BONUS LEVELS */
UPDATE LevelInfo SET Filename='/Perry/Levels/B01_dig_balloony_dig', Name='LN_DIG_BALLOONY_DIG', ParTime=60 WHERE ID=80;
UPDATE LevelInfo SET Filename='/Perry/Levels/B02_steampunked', Name='LN_STEAMPUNKED', ParTime=60 WHERE ID=81;
UPDATE LevelInfo SET Filename='/Perry/Levels/B03_spelunking', Name='LN_SPELUNKING', ParTime=60 WHERE ID=82;
UPDATE LevelInfo SET Filename='/Perry/Levels/B04_explosion_time', Name='LN_EXPLOSION_TIME', ParTime=60 WHERE ID=83;
UPDATE LevelInfo SET Filename='/Perry/Levels/B05_run_the_gauntlet', Name='LN_RUN_THE_GAUNTLET', ParTime=60 WHERE ID=84;
UPDATE LevelInfo SET Filename='/Perry/Levels/B06_push_over', Name='LN_PUSH_OVER', ParTime=60 WHERE ID=85;
UPDATE LevelInfo SET Filename='/Perry/Levels/B07_cold_shoulder', Name='LN_COLD_SHOULDER', ParTime=60 WHERE ID=86;
UPDATE LevelInfo SET Filename='/Perry/Levels/B08_balloony_party', Name='LN_BALLOONY_PARTY', ParTime=60 WHERE ID=87;
